const bodyParser = require("body-parser");
const express = require("express");
const path = require("path");
const app = express();
const url = require('url');
portnumber = 5002;

app.use(bodyParser.urlencoded({ extended: false }));
app.set("view engine", "ejs");
// js and css files reside in directory "public"
app.use(express.static(path.join(__dirname, "public")));
// .ejs-files, meaning html templates, are in "views" folder
app.listen(portnumber, () => {
  console.log(`server started on port ${portnumber}`);
});


app.get(["/", "/index.html"], (req, res) => {
  console.log("GET /index.html requested");
  res.render("index", {
    pagetitle : "Geben Sie irgendwas ein."
  });
});

app.post("/submit-text", function (req,res) {
  console.timeLog("POST /submit-text requested");
  wordList = req.body.textcontent.split(/\s+/);
  res.render("submitted-text", {
      pagetitle : "Ihr eingegebener Text.",
      ListeAllerWoerter : wordList,
      Textinhalt : req.body.textcontent,
      NameDesAutors : req.body.username
  });
});
